Overview

Regenerate API token

Regenerate API token

POST/v2/tokens/{id}/regenerate
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input4
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
existingTokenExpiresAtstring · bodyrequired
Expiration date of the existing token (ISO 8601 format)
newTokenobject · body
Show child attributes6
datasetCapabilitiesobject
descriptionstring
Description of the token
expiresAtstring
Expiration date of the token (ISO 8601 format)
namestringrequired
Name of the token
orgCapabilitiesobject
viewCapabilitiesobject
newTokenExpiresAtstring · body
Expiration date of the new token (ISO 8601 format)
Output8
datasetCapabilitiesobject
descriptionstring
Description of the token
idstring
ID of the token
namestring
Name of the token
orgCapabilitiesobject
samlAuthenticatedboolean
viewCapabilitiesobject
tokenstring
Responses
200CreateAPITokenResponse
Example input
curl -X POST 'https://api.axiom.co/v2/tokens/{id}/regenerate' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"existingTokenExpiresAt":"2024-01-01T00:00:00Z"}'
Example output
{
  "datasetCapabilities": {},
  "description": "string",
  "expiresAt": "2024-01-01T00:00:00Z",
  "id": "string",
  "name": "string",
  "orgCapabilities": {
    "annotations": [
      "create"
    ],
    "apiTokens": [
      "create"
    ],
    "auditLog": [
      "read"
    ],
    "billing": [
      "read"
    ],
    "dashboards": [
      "create"
    ],
    "datasets": [
      "create"
    ],
    "endpoints": [
      "create"
    ],
    "flows": [
      "create"
    ],
    "integrations": [
      "create"
    ],
    "monitors": [
      "create"
    ],
    "notifiers": [
      "create"
    ],
    "rbac": [
      "create"
    ]
  },
  "samlAuthenticated": false,
  "viewCapabilities": {},
  "token": "string"
}

Updated

Was this page helpful?